import { ChatMessage } from "@genexus/chameleon-controls-library";
export declare class GxIdeScChatContainer {
    #private;
    /**
     * If true, the chat items length will be 0, since this is a requirement for dipslaying the ch-chat
     * "empty-chat" slot that welcome screen uses to display.
     */
    readonly mode: "welcome" | "messages-sample" | "empty";
    generatingResponse: boolean;
    loadingState: "all-records-loaded" | "initial" | "loading" | "more-data-to-fetch";
    showAdditionalContent: boolean;
    conversationCopied: boolean;
    assistantStatus: string;
    chatItems: ChatMessage[];
    /**
     * It will exit the wellcome screen and remove it from the dom.
     */
    exitWelcome(): Promise<void>;
    componentDidLoad(): void;
    componentDidRender(): void;
    componentWillLoad(): Promise<void>;
    render(): any;
}
